> For the complete documentation index, see [llms.txt](https://docs.papaya.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papaya.fi/v1/papaya-dao/voting-power/why-weighted-voting.md).

# Why Weighted Voting?

Making critical decisions that shape the future of Papaya requires a governance model that not only empowers active contributors but also aligns incentives with the long-term success of the platform. Weighted voting acknowledges and rewards those who actively contribute to Papaya’s ecosystem. It incentivizes users to participate meaningfully, whether through liquidity provision, platform development, or long-term commitment, by giving them a proportional say in protocol decisions.

In order to remain aligned with the principals of decentralization, Papaya is implementing the quadratic formula as a mitigator to centralization of voting power.&#x20;

> As an example, if one voter has 100 tokens, their voting power would be the square root of 100, which is 10. However, if another voter has 1,000 tokens, their voting power would be the square root of 1,000, which is only 31.6&#x20;

This demonstrates diminishing returns as the voting power does not linearly scale with token holdings, reducing marginal voting power for whales, balancing influence, and encourage participation from all users.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.papaya.fi/v1/papaya-dao/voting-power/why-weighted-voting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
